package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF671Data {

    private Map<String, Object> params;
    
    public MWF671Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsAp() {
        return (String) params.get("RS_AP");
    }

    public String rsKodproduktpozadovany() {
        return (String) params.get("RS_KODPRODUKTPOZADOVANY");
    }

    public String rsKodproduktschvaleny() {
        return (String) params.get("RS_KODPRODUKTSCHVALENY");
    }

    public java.util.Date rsDatumzadosti() {
        return (java.util.Date) params.get("RS_DATUMZADOSTI");
    }

    public String rsIco() {
        return (String) params.get("RS_ICO");
    }

    public String rsJmeno() {
        return (String) params.get("RS_JMENO");
    }

    public String rsKodakce() {
        return (String) params.get("RS_KODAKCE");
    }

    public String rsPrijmeni() {
        return (String) params.get("RS_PRIJMENI");
    }

    public String rsRodnecislo() {
        return (String) params.get("RS_RODNECISLO");
    }

    public Long rsMtsStav() {
        return (Long) params.get("RS_MTS_STAV");
    }

    public Double rsVyseuverupozadovana() {
        return (Double) params.get("RS_VYSEUVERUPOZADOVANA");
    }

    public Double rsVyseuveruschvalena() {
        return (Double) params.get("RS_VYSEUVERUSCHVALENA");
    }

    public String rsStav() {
        return (String) params.get("RS_STAV");
    }

    public String rsDuvodrozhodnuti() {
        return (String) params.get("RS_DUVODROZHODNUTI");
    }

    public String rsCislokarty() {
        return (String) params.get("RS_CISLOKARTY");
    }

    public String rsPrescoring() {
        return (String) params.get("RS_PRESCORING");
    }

    public String rsPrimaslib() {
        return (String) params.get("RS_PRIMASLIB");
    } 

}
